apiVersion: v1
kind: Service
metadata:
  name: contact-manager
  namespace: planblick
  labels:
    app: contact-manager
spec:
  ports:
  - port: 8000
    targetPort: 8000
  selector:
    app: contact-manager
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: contact-manager
  namespace: planblick
  labels:
    app: contact-manager
spec:
  replicas: 1
  selector:
    matchLabels:
      app: contact-manager
  template:
    metadata:
      labels:
        app: contact-manager
    spec:
      containers:
      - name: contact-manager
        image: [image]
        env:
          - name: ENVIRONMENT
            valueFrom:
              configMapKeyRef:
                name: environment
                key: ENVIRONMENT
          - name: SLACK_NOTIFICATION_HOOK
            valueFrom:
              configMapKeyRef:
                name: environment
                key: SLACK_NOTIFICATION_HOOK
          - name: APIGATEWAY_ADMIN_INTERNAL_BASEURL
            valueFrom:
              configMapKeyRef:
                name: environment
                key: APIGATEWAY_ADMIN_INTERNAL_BASEURL
          - name: APIGATEWAY_INTERNAL_BASEURL
            valueFrom:
              configMapKeyRef:
                name: environment
                key: APIGATEWAY_INTERNAL_BASEURL
          - name: INTERNAL_ACCOUNTMANAGER_URL
            valueFrom:
              configMapKeyRef:
                name: environment
                key: INTERNAL_ACCOUNTMANAGER_URL
          - name: DB_HOST
            valueFrom:
              configMapKeyRef:
                name: environment
                key: MYSQL_HOST
          - name: DB_PORT
            valueFrom:
              configMapKeyRef:
                name: environment
                key: MYSQL_PORT
          - name: DB_DRIVER
            value: "mysql+pymysql"
          - name: DB_USER
            valueFrom:
              secretKeyRef:
                name: mysql-user-credentials
                key: username
          - name: DB_PASSWORD
            valueFrom:
              secretKeyRef:
                name: mysql-user-credentials
                key: password
          - name: DB_NAME
            value: "contactmanager"
          - name: DB_DEBUG
            value: "no"
          - name: MQ_HOST
            value: "rabbitmq.planblick.svc"
          - name: CERTIFICATE_STORE_BASE_URL
            value: "http://certificate-store.planblick.svc:8000"
          - name: MQ_USERNAME
            valueFrom:
              secretKeyRef:
                name: rabbitmq-credentials
                key: username
          - name: MQ_PASSWORD
            valueFrom:
              secretKeyRef:
                name: rabbitmq-credentials
                key: password
          - name: MQ_PORT
            value: "5672"
          - name: MQ_VHOST
            value: "/"
          - name: CONTACT_CRYPTOGRAPHY_KEY
            valueFrom:
              secretKeyRef:
                name: cryptography-keys
                key: contact_cryptography_key
        ports:
        - containerPort: 8000
        livenessProbe:
          httpGet:
            path: /healthz
            port: 8000
          periodSeconds: 10
          timeoutSeconds: 60
          successThreshold: 1
          failureThreshold: 12
